---
title: "Backupscript"
summary: "Custom backup solution using Rclone and Ntfy.sh"
authors: []
tags: []
categories: []
date: 2023-06-13T09:56:42Z

url_code: "https://code.jcktrue.dk/jct/backupscript"
---
Custom backup solution using Rclone and Ntfy.sh.

Written in PHP with the purpose of sending short Push notifications on the status of the each weekly backup job.

Built as an exercise in PHP best practices. 
- PHPMessDetector for cyclic complexity 
- PHP static analysis using Psalm and PHPStan
- Code standards using PHP_CodeSniffer 
- Unit testing via PHPUnit with branch coverage. 
- Package management using composer


## Rclone
Rclone ("rsync for cloud storage") is a command-line program to sync files and directories to and from different cloud storage providers.

## ntfy
ntfy (pronounced notify) is a simple HTTP-based pub-sub notification service. It allows you to send notifications to your phone or desktop via scripts from any computer, and/or using a REST API. It's infinitely flexible, and 100% free software.